Bug 1999878 - qemu-system-arm: ../tcg/tcg.c:3063: temp_allocate_frame: Assertion `align <= TCG_TARGET_STACK_ALIGN' failed.
Summary: qemu-system-arm: ../tcg/tcg.c:3063: temp_allocate_frame: Assertion `align <= ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: rawhide
Hardware: armv7hl
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: TRACKER-bugs-affecting-libguestfs
TreeView+ depends on / blocked
 
Reported: 2021-08-31 21:56 UTC by Richard W.M. Jones
Modified: 2021-10-25 22:03 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-25 22:03:13 UTC
Type: Bug


Attachments (Terms of Use)
build.log (1.84 MB, text/plain)
2021-08-31 21:57 UTC, Richard W.M. Jones
no flags Details
root.log (187.10 KB, text/plain)
2021-08-31 21:58 UTC, Richard W.M. Jones
no flags Details

Description Richard W.M. Jones 2021-08-31 21:56:15 UTC
Description of problem:

qemu-system-arm fails to boot the kernel, giving the error:
qemu-system-arm: ../tcg/tcg.c:3063: temp_allocate_frame: Assertion `align <= TCG_TARGET_STACK_ALIGN' failed.

Version-Release number of selected component (if applicable):

2:6.1.0-5.fc36

How reproducible:

100%

Steps to Reproduce:
1. Run the nbdkit test suite.

Comment 1 Richard W.M. Jones 2021-08-31 21:57:03 UTC
Created attachment 1819561 [details]
build.log

Comment 2 Richard W.M. Jones 2021-08-31 21:58:28 UTC
Created attachment 1819562 [details]
root.log

Comment 3 Richard W.M. Jones 2021-09-01 16:49:45 UTC
I posted this patch:
https://lists.nongnu.org/archive/html/qemu-devel/2021-09/msg00325.html

I also added it to qemu-6.1.0-6.fc36 in Rawhide.


Note You need to log in before you can comment on or make changes to this bug.